﻿local E, L, V, P, G = unpack(ElvUI);
local MOGUI = E:GetModule('MaximumOverdriveGamingUI');

function MOGUI:LoadDBMProfile()
	DBM:CreateProfile('MOGUIv2.0')
	
	DBM_AllSavedOptions = {
		["MOGUI"] = {
		["SpecialWarningFontSize"] = 50,
		["HUDTextureOverride"] = false,
		["DontShowFarWarnings"] = true,
		["ChosenVoicePack"] = "None",
		["EventRandomVictory"] = false,
		["DontShowHudMap2"] = false,
		["AlwaysPlayVoice"] = false,
		["ShowSWarningsInChat"] = true,
		["DontShowNameplateLines"] = false,
		["HideApplicantAlerts"] = 0,
		["HUDAlpha1"] = 0.5,
		["StatusEnabled"] = true,
		["InfoFrameX"] = -269.5556640625,
		["DontShowNameplateIcons"] = false,
		["CoreSavedRevision"] = 20190725035449,
		["RangeFrameX"] = 50,
		["AlwaysShowSpeedKillTimer"] = true,
		["RangeFrameY"] = -50,
		["FilterSayAndYell"] = false,
		["EnableModels"] = true,
		["SpecialWarningFlashAlph3"] = 0.4,
		["ArrowPoint"] = "TOP",
		["SWarnNameInNote"] = true,
		["FakeBWVersion"] = false,
		["InfoFramePoint"] = "CENTER",
		["CRT_Enabled"] = false,
		["EventSoundMusicCombined"] = false,
		["SpecialWarningFlashCol2"] = {
			1, -- [1]
			0.5, -- [2]
			0, -- [3]
		},
		["WarningAlphabetical"] = true,
		["WarningFont"] = "Fonts\\FRIZQT__.TTF",
		["CheckGear"] = true,
		["SpecialWarningX"] = 0,
		["WorldBossAlert"] = false,
		["RaidWarningPosition"] = {
			["Y"] = -185,
			["X"] = 0,
			["Point"] = "TOP",
		},
		["DontShowPT2"] = false,
		["MCMessageShown"] = false,
		["HelpMessageVersion"] = 2,
		["DontShowReminders"] = false,
		["EnablePatchRestrictions"] = false,
		["AFKHealthWarning"] = false,
		["DontShowSpecialWarnings"] = false,
		["FilterInterruptNoteName"] = false,
		["EventSoundTurle"] = "None",
		["ShowMinimapButton"] = false,
		["MoviesSeen"] = {
			["15720"] = true,
			["11751"] = true,
			["16002"] = true,
			["14690"] = true,
			["12200"] = true,
			["14600"] = true,
			["15000"] = true,
			[484] = true,
			["14890"] = true,
		},
		["FilterTrashWarnings2"] = true,
		["ShowQueuePop"] = true,
		["ShowAllVersions"] = true,
		["DebugMode"] = false,
		["DontShowTargetAnnouncements"] = true,
		["HUDTexture3"] = "highlight",
		["FilterInterrupt2"] = "TandFandBossCooldown",
		["StripServerName"] = true,
		["SpecialWarningFontCol"] = {
			1, -- [1]
			0.7, -- [2]
			0, -- [3]
		},
		["NewsMessageShown"] = 7,
		["ForumsMessageShown"] = 15117,
		["WarningFontStyle"] = "None",
		["EventSoundEngage2"] = "None",
		["InfoFrameY"] = -52.66725921630859,
		["ChatFrame"] = "DEFAULT_CHAT_FRAME",
		["WarningIconRight"] = true,
		["UseSoundChannel"] = "Master",
		["SpecialWarningSound"] = 8174,
		["HUDColor1"] = {
			1, -- [1]
			1, -- [2]
			0, -- [3]
		},
		["ShowCountdownText"] = false,
		["ShowRespawn"] = true,
		["EventSoundWipe"] = "None",
		["BCTWMessageShown"] = false,
		["HideQuestTooltips"] = true,
		["ShowGuildMessages"] = true,
		["HUDSize3"] = 5,
		["DebugLevel"] = 1,
		["LatencyThreshold"] = 250,
		["SpecialWarningFlashRepeat1"] = false,
		["AdvancedAutologBosses"] = false,
		["HUDAlpha4"] = 0.5,
		["ShowGuildMessagesPlus"] = false,
		["HUDSize2"] = 5,
		["ShowFakedRaidWarnings"] = false,
		["FilterDispel"] = true,
		["DontShowCTCount"] = false,
		["DontShowHealthFrame"] = false,
		["LFDEnhance"] = true,
		["SpecialWarningFlashDura1"] = 0.4,
		["DontShowPTNoID"] = false,
		["HideGarrisonToasts"] = true,
		["ArrowPosY"] = -150,
		["RLReadyCheckSound"] = true,
		["SpecialWarningFontShadow"] = false,
		["EventMusicMythicFilter"] = true,
		["HideBossEmoteFrame2"] = true,
		["AlwaysShowSpeedKillTimer2"] = false,
		["WOTLKTWMessageShown"] = false,
		["HideObjectivesFrame"] = true,
		["SpecialWarningFlashCol1"] = {
			1, -- [1]
			1, -- [2]
			0, -- [3]
		},
		["SpecialWarningFlashAlph2"] = 0.3,
		["DontShowPTText"] = false,
		["SWarnClassColor"] = true,
		["DontShowSpecialWarningText"] = false,
		["SpecialWarningFontSize2"] = 35,
		["SpecialWarningFlashCol5"] = {
			0.2, -- [1]
			1, -- [2]
			1, -- [3]
		},
		["SpecialWarningSound2"] = 15391,
		["InfoFrameLines"] = 0,
		["WorldBossNearAlert"] = false,
		["SpecialWarningPoint"] = "CENTER",
		["HealthFrameLocked"] = false,
		["HUDColor4"] = {
			0, -- [1]
			1, -- [2]
			0, -- [3]
		},
		["SpecialWarningFlashAlph4"] = 0.4,
		["SpecialWarningFontStyle"] = "THICKOUTLINE",
		["HUDColorOverride"] = false,
		["PTCountThreshold2"] = 5,
		["DontShowBossAnnounces"] = false,
		["EventSoundDungeonBGM"] = "None",
		["HUDSizeOverride"] = false,
		["SpecialWarningFont"] = "Fonts\\FRIZQT__.TTF",
		["CountdownVoice2"] = "Kolt",
		["AutoAcceptGuildInvite"] = false,
		["InfoFrameShowSelf"] = false,
		["ArrowPosX"] = 0,
		["DontShowPTCountdownText"] = false,
		["AITimer"] = true,
		["SpecialWarningFlashDura3"] = 1,
		["MovieFilter"] = "AfterFirst",
		["HPFramePoint"] = "CENTER",
		["DontShowRangeFrame"] = false,
		["EventSoundVictory"] = "Interface\\AddOns\\DBM-Core\\sounds\\Victory\\SmoothMcGroove_Fanfare.ogg",
		["FilterTankSpec"] = true,
		["AutoReplySound"] = true,
		["DisableSFX"] = false,
		["AutologBosses"] = false,
		["SpecialWarningFlashDura4"] = 0.7,
		["RangeFrameRadarY"] = -76.88932800292969,
		["HUDTexture4"] = "highlight",
		["HUDSize4"] = 5,
		["WarningColors"] = {
			{
				["r"] = 0.4117647058823529,
				["g"] = 0.8,
				["b"] = 0.9411764705882353,
			}, -- [1]
			{
				["r"] = 0.9490196078431372,
				["g"] = 0.9490196078431372,
				["b"] = 0,
			}, -- [2]
			{
				["r"] = 1,
				["g"] = 0.5019607843137255,
				["b"] = 0,
			}, -- [3]
			{
				["r"] = 1,
				["g"] = 0.1019607843137255,
				["b"] = 0.1019607843137255,
			}, -- [4]
		},
		["HUDAlpha2"] = 0.5,
		["SWarningAlphabetical"] = true,
		["FilterInterrupt"] = true,
		["BlockNoteShare"] = false,
		["HUDTexture1"] = "highlight",
		["RangeFrameFrames"] = "radar",
		["SpecialWarningY"] = 75,
		["ModelSoundValue"] = "Short",
		["HUDColor3"] = {
			1, -- [1]
			0.5, -- [2]
			0, -- [3]
		},
		["EventDungMusicMythicFilter"] = true,
		["HUDTexture2"] = "highlight",
		["RangeFrameRadarPoint"] = "CENTER",
		["DontShowInfoFrame"] = false,
		["DisableStatusWhisper"] = false,
		["MovieFilter2"] = "OnlyFight",
		["RangeFrameUpdates"] = "Average",
		["AutoCorrectTimer"] = false,
		["ShortTimerText"] = true,
		["RaidWarningSound"] = 11742,
		["DontRestoreRange"] = false,
		["CountdownVoice3"] = "Smooth",
		["SpecialWarningFlashRepeat3"] = true,
		["RoleSpecAlert"] = true,
		["WhisperStats"] = false,
		["VoiceOverSpecW2"] = "DefaultOnly",
		["SpecialWarningFlashRepeat2"] = false,
		["DontPlayPTCountdown"] = false,
		["SpecialWarningFlashAlph5"] = 0.5,
		["SpecialWarningDuration2"] = 1.5,
		["HealthFrameWidth"] = 200,
		["RangeFrameLocked"] = false,
		["WarningIconLeft"] = true,
		["RangeFrameSound1"] = "none",
		["HPFrameY"] = 50,
		["WarningFontSize"] = 20,
		["EventSoundVictory2"] = "None",
		["SpecialWarningFlashDura2"] = 0.4,
		["LastRevision"] = 0,
		["CountdownVoice"] = "Corsica",
		["SettingsMessageShown"] = true,
		["PGMessageShown"] = false,
		["CustomSounds"] = 0,
		["SpecialWarningFlashCol4"] = {
			1, -- [1]
			0, -- [2]
			1, -- [3]
		},
		["FilterSelfHud"] = true,
		["DontSetIcons"] = false,
		["BigBrotherAnnounceToRaid"] = false,
		["HUDAlpha3"] = 0.5,
		["SpecialWarningFlashRepeat4"] = false,
		["BonusFilter"] = "Never",
		["ShowEngageMessage"] = true,
		["DontShowUserTimers"] = false,
		["WarningY"] = 260,
		["SpecialWarningFlashRepeat5"] = true,
		["AutoRespond"] = true,
		["HealthFrameGrowUp"] = false,
		["CountdownVoice3v2"] = "Pewsey",
		["HideBossEmoteFrame"] = true,
		["DontPlayCountdowns"] = false,
		["ShowBigBrotherOnCombatStart"] = false,
		["SpecialWarningIcon"] = true,
		["SpecialWarningFlashCol3"] = {
			1, -- [1]
			0, -- [2]
			0, -- [3]
		},
		["SpecialWarningFlashAlph1"] = 0.3,
		["ShowDefeatMessage"] = true,
		["HUDAlphaOverride"] = false,
		["WarningDuration2"] = 1.5,
		["SpecialWarningSound4"] = 9278,
		["WarningDuration"] = 4,
		["WarningFontShadow"] = true,
		["HPFrameMaxEntries"] = 5,
		["HUDColor2"] = {
			1, -- [1]
			0, -- [2]
			0, -- [3]
		},
		["DontShowBossTimers"] = false,
		["DontShowFlexMessage"] = false,
		["AlwaysShowHealthFrame"] = false,
		["WarningPoint"] = "CENTER",
		["SpecialWarningFlashDura5"] = 1,
		["TalkingHeadFilter"] = "Never",
		["WarningX"] = 0,
		["RangeFrameRadarX"] = 264.4453125,
		["SpecialWarningFlashRepeatAmount"] = 2,
		["AutoAcceptFriendInvite"] = false,
		["WarningIconChat"] = true,
		["RangeFramePoint"] = "CENTER",
		["HideGuildChallengeUpdates"] = true,
		["SpecialWarningSound5"] = 128466,
		["DontSendYells"] = false,
		["ShowPizzaMessage"] = true,
		["RangeFrameSound2"] = "none",
		["HideTooltips"] = false,
		["EventRandomDefeat"] = true,
		["HUDSize1"] = 5,
		["Enabled"] = true,
		["SpecialWarningSound3"] = "Interface\\AddOns\\DBM-Core\\sounds\\AirHorn.ogg",
		["EventSoundEngage"] = "",
		["FilterVoidFormSay"] = true,
		["PTCountThreshold"] = 5,
		["SpecialWarningDuration"] = 4,
		["ShowWarningsInChat"] = true,
		["LogOnlyRaidBosses"] = false,
		["EventSoundMusic"] = "None",
		["DontRestoreIcons"] = false,
		["DisableGuildStatus"] = false,
		["HPFrameX"] = -50,
		["EventRandomMusic"] = false,
		["SpamBlockBossWhispers"] = true,
		["CATATWMessageShown"] = false,
		["ShowFlashFrame"] = true,
	},
}
	
DBT_AllPersistentOptions = {
	["MOGUI"] = {
		["DBM"] = {
			["StartColorPR"] = 1,
			["Scale"] = 1,
			["EnlargeBarsPercent"] = 0.125,
			["StartColorR"] = 1,
			["EndColorPR"] = 0.5019607843137255,
			["ExpandUpwardsLarge"] = true,
			["ExpandUpwards"] = false,
			["TimerPoint"] = "CENTER",
			["EndColorDG"] = 0,
			["Alpha"] = 0.800000011920929,
			["HugeTimerPoint"] = "CENTER",
			["EndColorUIG"] = 0.9215686274509803,
			["StartColorUIR"] = 1,
			["StartColorAG"] = 0.5450980392156862,
			["EndColorDR"] = 1,
			["HugeBarXOffset"] = 0,
			["StartColorRR"] = 0.5019607843137255,
			["StartColorUIG"] = 1,
			["HugeScale"] = 1.049999952316284,
			["BarYOffset"] = 17,
			["StartColorDG"] = 0.3019607843137255,
			["StartColorAR"] = 0.3764705882352941,
			["EndColorAER"] = 1,
			["StartColorIB"] = 1,
			["Font"] = "Interface\\AddOns\\ElvUI\\media\\fonts\\Expressway.ttf",
			["EndColorAEB"] = 0.2470588235294118,
			["Height"] = 20,
			["BarXOffset"] = 0,
			["EndColorB"] = 0,
			["EndColorAR"] = 0.1490196078431373,
			["EndColorG"] = 0,
			["Decimal"] = 10,
			["EndColorIB"] = 1,
			["EndColorRB"] = 0.3019607843137255,
			["TimerX"] = -488.3883361816406,
			["EndColorIR"] = 0.04705882352941176,
			["EndColorRR"] = 0.1098039215686275,
			["Texture"] = "Interface\\Addons\\Raven\\Statusbars\\White.tga",
			["EnlargeBarTime"] = 11,
			["StartColorPG"] = 0.7764705882352941,
			["FontFlag"] = "OUTLINE",
			["EndColorAB"] = 1,
			["Width"] = 177,
			["EndColorPG"] = 0.4117647058823529,
			["EndColorIG"] = 0.8784313725490196,
			["EndColorAEG"] = 0.04313725490196078,
			["StartColorAEB"] = 0.4588235294117647,
			["HugeTimerY"] = -267.5558166503906,
			["HugeAlpha"] = 1,
			["TDecimal"] = 11,
			["TimerY"] = 155.0557556152344,
			["StartColorB"] = 0,
			["StartColorAB"] = 1,
			["EndColorPB"] = 0.2862745098039216,
			["StartColorIG"] = 0.9686274509803922,
			["StartColorRB"] = 0.5019607843137255,
			["FontSize"] = 12,
			["StartColorPB"] = 0.4196078431372549,
			["StartColorDR"] = 0.9019607843137255,
			["EndColorUIR"] = 1,
			["EndColorRG"] = 1,
			["StartColorUIB"] = 0.06274509803921569,
			["StartColorG"] = 0.7019607843137254,
			["StartColorAEG"] = 0.4666666666666667,
			["StartColorIR"] = 0.4705882352941176,
			["EndColorR"] = 1,
			["StartColorRG"] = 1,
			["HugeBarYOffset"] = 17,
			["StartColorAER"] = 1,
			["EndColorAG"] = 0.3843137254901961,
			["HugeWidth"] = 200,
			["StartColorDB"] = 1,
			["EndColorUIB"] = 0.01176470588235294,
			["EndColorDB"] = 1,
			["HugeTimerX"] = 10.8892183303833,
		},
	},
}
DBM_MinimapIcon = {
	["minimapPos"] = 211.1801658217407,
	["hide"] = true,
}
	
	DBM:ApplyProfile('MOGUI')
end



