local E, L, V, P, G = unpack(ElvUI);
local MOGUI = E:GetModule('MaximumOverdriveGamingUI');



local profileName = "MOGUI"

--Cache global variables
--WoW API / Variables

--Global variables that we don't cache, list them here for the mikk's Find Globals script
-- GLOBALS: RavenDB, LibStub

function MOGUI:LoadRavenProfile()

        RavenDB.profiles[profileName] = {
			["BarGroups"] = {
				["Raidbuffs"] = {
					["iconFSize"] = 13,
					["hideSpark"] = true,
					["iconColor"] = {
						["a"] = 1,
						["b"] = 0,
						["g"] = 1,
						["r"] = 1,
					},
					["iconInset"] = 1,
					["useDefaultFontsAndTextures"] = false,
					["name"] = "Raidbuffs",
					["timeOffset"] = 14,
					["spacingX"] = 2,
					["anchorX"] = 30,
					["auto"] = false,
					["pointYT"] = 0.008333242734273275,
					["bgSaturation"] = 0.25,
					["texture"] = "Raven White",
					["fgBrightness"] = -1,
					["bgtexture"] = "Raven White",
					["pointW"] = 25.55559921264648,
					["hideClock"] = true,
					["anchorPoint"] = "TOPRIGHT",
					["hideLabel"] = true,
					["useDefaultDimensions"] = false,
					["pointH"] = 25.55552864074707,
					["spacingY"] = 1,
					["sor"] = "X",
					["iconSize"] = 25,
					["timeFont"] = "Florence Sans",
					["anchorFrame"] = "Minimap",
					["timeFSize"] = 13,
					["timeOutline"] = true,
					["showNoDuration"] = true,
					["labelOutline"] = true,
					["labelAlign"] = "TOP",
					["bars"] = {
						{
							["monitor"] = "player",
							["action"] = "Well Fed",
							["uniqueID"] = "072118-151118-0",
							["castBy"] = "player",
							["barLabel"] = "Well Fed",
							["startReady"] = 106361.938,
							["enableBar"] = true,
							["spellID"] = 19705,
							["barType"] = "Buff",
							["sorder"] = 6,
							["labelLink"] = true,
							["desaturateReadyIcon"] = true,
							["colorLink"] = false,
							["readyAlpha"] = 0.15,
							["enableReady"] = true,
							["normalAlpha"] = 1,
							["readyTime"] = 0,
							["pulseEnd"] = true,
							["readyNotUsable"] = true,
						}, -- [1]
						{
							["monitor"] = "player",
							["enableBar"] = true,
							["uniqueID"] = "072219-195226-0",
							["readyNotUsable"] = false,
							["readyAlpha"] = 0.15,
							["action"] = "Flask of the Undertow",
							["castBy"] = "player",
							["readyTime"] = 0,
							["sorder"] = 7,
							["barLabel"] = "Flask of the Undertow",
							["desaturateReadyIcon"] = true,
							["enableReady"] = true,
							["barType"] = "Buff",
							["labelNumber"] = false,
							["disableBarSFX"] = false,
						}, -- [2]
						{
							["monitor"] = "player",
							["action"] = "Flask of the Currents",
							["uniqueID"] = "072219-195322-0",
							["sorder"] = 8,
							["castBy"] = "player",
							["spellID"] = 251836,
							["enableBar"] = true,
							["barLabel"] = "Flask of the Currents",
							["desaturateReadyIcon"] = true,
							["barType"] = "Buff",
							["enableReady"] = true,
							["readyAlpha"] = 0.15,
							["disableBarSFX"] = false,
						}, -- [3]
						{
							["monitor"] = "player",
							["enableBar"] = true,
							["uniqueID"] = "072219-195346-0",
							["sorder"] = 9,
							["readyNotUsable"] = false,
							["castBy"] = "player",
							["readyAlpha"] = 0.15,
							["readyTime"] = 0,
							["barLabel"] = "Flask of Endless Fathoms",
							["desaturateReadyIcon"] = true,
							["enableReady"] = true,
							["barType"] = "Buff",
							["action"] = "Flask of Endless Fathoms",
							["disableBarSFX"] = false,
						}, -- [4]
						nil, -- [5]
						{
							["monitor"] = "player",
							["enableBar"] = true,
							["uniqueID"] = "080618-154149-0",
							["sorder"] = 1,
							["readyAlpha"] = 0.15,
							["enableReady"] = true,
							["castBy"] = "anyone",
							["barType"] = "Buff",
							["barLabel"] = "Arcane Intellect",
							["startReady"] = 106361.938,
							["desaturateReadyIcon"] = true,
							["pulseEnd"] = true,
							["readyTime"] = 0,
							["action"] = "Arcane Intellect",
							["readyNotUsable"] = true,
						}, -- [6]
						{
							["startReady"] = 106361.938,
							["monitor"] = "player",
							["enableBar"] = true,
							["uniqueID"] = "080618-160620-0",
							["spellID"] = 203539,
							["sorder"] = 4,
							["action"] = "Greater Blessing of Wisdom",
							["castBy"] = "anyone",
							["readyAlpha"] = 0.15,
							["barType"] = "Buff",
							["barLabel"] = "Greater Blessing of Wisdom",
							["desaturateReadyIcon"] = true,
							["enableReady"] = true,
							["pulseEnd"] = true,
							["readyTime"] = 0,
							["readyNotUsable"] = true,
						}, -- [7]
						{
							["startReady"] = 106361.938,
							["monitor"] = "player",
							["action"] = "Greater Blessing of Kings",
							["uniqueID"] = "080618-160700-0",
							["spellID"] = 203538,
							["sorder"] = 3,
							["enableBar"] = true,
							["castBy"] = "anyone",
							["readyAlpha"] = 0.15,
							["barType"] = "Buff",
							["barLabel"] = "Greater Blessing of Kings",
							["desaturateReadyIcon"] = true,
							["pulseEnd"] = true,
							["enableReady"] = true,
							["readyTime"] = 0,
							["readyNotUsable"] = true,
						}, -- [8]
						{
							["readyNotUsable"] = true,
							["monitor"] = "player",
							["enableBar"] = true,
							["uniqueID"] = "072218-212418-0",
							["pulseEnd"] = true,
							["sorder"] = 5,
							["enableReady"] = true,
							["castBy"] = "anyone",
							["barType"] = "Buff",
							["barLabel"] = "Power Word: Fortitude",
							["startReady"] = 106361.938,
							["desaturateReadyIcon"] = true,
							["readyAlpha"] = 0.15,
							["readyTime"] = 0,
							["action"] = "Power Word: Fortitude",
							["spellID"] = 21562,
						}, -- [9]
						{
							["startReady"] = 106361.938,
							["monitor"] = "player",
							["action"] = "Battle Shout",
							["uniqueID"] = "080618-154120-0",
							["spellID"] = 6673,
							["readyAlpha"] = 0.15,
							["enableBar"] = true,
							["castBy"] = "anyone",
							["sorder"] = 2,
							["readyTime"] = 0,
							["barLabel"] = "Battle Shout",
							["desaturateReadyIcon"] = true,
							["barType"] = "Buff",
							["pulseEnd"] = true,
							["enableReady"] = true,
							["readyNotUsable"] = true,
						}, -- [10]
						{
							["monitor"] = "player",
							["enableBar"] = true,
							["uniqueID"] = "072219-195624-0",
							["sorder"] = 10,
							["castBy"] = "player",
							["readyAlpha"] = 0.15,
							["barLabel"] = "Flask of the Vast Horizon",
							["desaturateReadyIcon"] = true,
							["enableReady"] = true,
							["barType"] = "Buff",
							["action"] = "Flask of the Vast Horizon",
							["disableBarSFX"] = false,
						}, -- [11]
					},
					["timeAlign"] = "CENTER",
					["pointX"] = 0.9859373866319743,
					["fgSaturation"] = 0.5,
					["bgAlpha"] = 0,
					["labelFont"] = "Florence Sans",
					["fgAlpha"] = 0.75,
					["maxBars"] = 10,
					["timeInset"] = 2,
					["pointXR"] = 0.002083427151037052,
					["configuration"] = 9,
					["wrap"] = 1,
					["timeFormat"] = 24,
					["barWidth"] = 32,
					["iconFont"] = "Florence Sans",
					["barHeight"] = 6,
					["pointY"] = 0.9703704833984375,
					["hideBar"] = true,
					["iconOffset"] = 8,
				},
				["Debuffs"] = {
					["detectDebuffsCastBy"] = "anyone",
					["iconFSize"] = 14,
					["growDirection"] = false,
					["hideClock"] = true,
					["iconColor"] = {
						["a"] = 1,
						["b"] = 0,
						["g"] = 1,
						["r"] = 1,
					},
					["useDefaultFontsAndTextures"] = false,
					["name"] = "Debuffs",
					["timeOffset"] = -5,
					["spacingX"] = 8,
					["anchorX"] = -40,
					["auto"] = true,
					["pointYT"] = 0.1212963390350342,
					["barHeight"] = 5,
					["barWidth"] = 20,
					["pointW"] = 27.77783966064453,
					["anchorPoint"] = "LEFT",
					["hideLabel"] = true,
					["useDefaultDimensions"] = false,
					["pointH"] = 27.77776718139648,
					["spacingY"] = 20,
					["iconSize"] = 28,
					["iconColors"] = "Debuffs",
					["timeFont"] = "Florence Sans",
					["labelFSize"] = 15,
					["timeFSize"] = 14,
					["timeOutline"] = true,
					["labelOutline"] = true,
					["bars"] = {
					},
					["pointX"] = 0.8817706961234515,
					["configuration"] = 9,
					["labelFont"] = "Florence Sans",
					["anchorFrame"] = "Minimap",
					["maxBars"] = 10,
					["timeInset"] = 4,
					["pointXR"] = 0.1052084425290342,
					["wrap"] = 10,
					["timeFormat"] = 23,
					["anchorY"] = -60,
					["showNoDuration"] = true,
					["iconFont"] = "Florence Sans",
					["detectDebuffs"] = true,
					["pointY"] = 0.8555555216471354,
					["hideBar"] = true,
					["iconOffset"] = 14,
				},
				["PlayerBuffs"] = {
					["detectDebuffsCastBy"] = "anyone",
					["iconFSize"] = 13,
					["hideSpark"] = true,
					["pointH"] = 24.44444465637207,
					["iconColor"] = {
						["a"] = 1,
						["b"] = 0,
						["g"] = 1,
						["r"] = 1,
					},
					["useDefaultFontsAndTextures"] = false,
					["excludeMinionBuffs"] = false,
					["name"] = "PlayerBuffs",
					["excludeTabardBuffs"] = true,
					["timeOffset"] = 15,
					["spacingX"] = 3,
					["anchorX"] = -1,
					["auto"] = true,
					["pointYT"] = 0.8796296294530233,
					["detectBuffs"] = true,
					["pointW"] = 24.44440841674805,
					["excludeResources"] = true,
					["disableBGSFX"] = true,
					["anchorPoint"] = "TOPRIGHT",
					["hideLabel"] = true,
					["useDefaultDimensions"] = false,
					["growDirection"] = false,
					["wrapDirection"] = true,
					["configuration"] = 9,
					["spacingY"] = 10,
					["sor"] = "D",
					["testTimers"] = 20,
					["iconSize"] = 24,
					["timeFont"] = "Florence Sans",
					["playerSort"] = true,
					["labelFSize"] = 15,
					["timeFSize"] = 13,
					["timeOutline"] = true,
					["labelOutline"] = true,
					["bars"] = {
					},
					["hideClock"] = true,
					["excludeOtherBuffs"] = true,
					["pointX"] = 0.3901041686932245,
					["labelFont"] = "Florence Sans",
					["anchorFrame"] = "ElvUF_Player",
					["maxBars"] = 18,
					["timeInset"] = 1,
					["pointXR"] = 0.598437515735625,
					["barWidth"] = 171,
					["wrap"] = 9,
					["timeFormat"] = 24,
					["showNoDuration"] = true,
					["anchorY"] = 40,
					["iconFont"] = "Florence Sans",
					["detectBuffsCastBy"] = "anyone",
					["detectDebuffs"] = true,
					["pointY"] = 0.1,
					["hideBar"] = true,
					["iconOffset"] = 13,
				},
				["Buffs"] = {
					["iconFSize"] = 14,
					["pointH"] = 32.22224426269531,
					["hideClock"] = true,
					["iconColor"] = {
						["a"] = 1,
						["b"] = 0,
						["g"] = 1,
						["r"] = 1,
					},
					["iconInset"] = 1,
					["useDefaultFontsAndTextures"] = false,
					["name"] = "Buffs",
					["timeOffset"] = -4,
					["spacingX"] = 8,
					["anchorX"] = -45,
					["anchorFrame"] = "Minimap",
					["auto"] = true,
					["pointYT"] = 0.008333269755045574,
					["showNoDuration"] = true,
					["detectBuffs"] = true,
					["pointW"] = 32.22217178344727,
					["anchorPoint"] = "TOPLEFT",
					["hideLabel"] = true,
					["useDefaultDimensions"] = false,
					["growDirection"] = false,
					["spacingY"] = 30,
					["sor"] = "T",
					["testTimers"] = 20,
					["iconSize"] = 32,
					["timeFont"] = "Florence Sans",
					["labelFSize"] = 15,
					["timeFSize"] = 14,
					["timeOutline"] = true,
					["labelOutline"] = true,
					["iconFont"] = "Florence Sans",
					["bars"] = {
					},
					["pointX"] = 0.8796874138116902,
					["detectBuffsCastBy"] = "anyone",
					["configuration"] = 9,
					["filterBuffList"] = {
					},
					["labelFont"] = "Florence Sans",
					["maxBars"] = 20,
					["timeInset"] = 3,
					["pointXR"] = 0.1052084443171734,
					["wrap"] = 10,
					["timeFormat"] = 23,
					["barWidth"] = 20,
					["barHeight"] = 5,
					["pointY"] = 0.9648148600260417,
					["hideBar"] = true,
					["iconOffset"] = 14,
				},
				["Target"] = {
					["detectDebuffsCastBy"] = "anyone",
					["iconFSize"] = 13,
					["hideSpark"] = true,
					["showNoDurationBackground"] = true,
					["useDefaultFontsAndTextures"] = false,
					["detectBuffsMonitor"] = "target",
					["name"] = "Target",
					["excludeTabardBuffs"] = true,
					["timeOffset"] = 15,
					["spacingX"] = 3,
					["anchorX"] = 2,
					["noTargetBuffs"] = false,
					["filterBuffList"] = {
					},
					["auto"] = true,
					["pointYT"] = 0.8796296294530233,
					["desaturate"] = true,
					["iconFont"] = "Florence Sans",
					["detectBuffs"] = true,
					["pointW"] = 24.44448089599609,
					["excludeResources"] = true,
					["pointH"] = 24.44444465637207,
					["anchorPoint"] = "TOPLEFT",
					["hideLabel"] = true,
					["useDefaultDimensions"] = false,
					["iconColor"] = {
						["a"] = 1,
						["b"] = 0,
						["g"] = 1,
						["r"] = 1,
					},
					["wrapDirection"] = true,
					["minimumTimeLeft"] = false,
					["spacingY"] = 10,
					["sor"] = "D",
					["testTimers"] = 20,
					["iconSize"] = 24,
					["timeFont"] = "Florence Sans",
					["playerSort"] = true,
					["labelFSize"] = 15,
					["timeFSize"] = 13,
					["timeOutline"] = true,
					["labelOutline"] = true,
					["bars"] = {
					},
					["pointX"] = 0.5989583130677557,
					["labelFont"] = "Florence Sans",
					["filterTimeLeft"] = 4200,
					["detectDebuffsMonitor"] = "target",
					["anchorFrame"] = "ElvUF_Target",
					["maxBars"] = 18,
					["timeInset"] = 2,
					["configuration"] = 9,
					["pointXR"] = 0.3895833373864489,
					["barWidth"] = 171,
					["wrap"] = 9,
					["timeFormat"] = 24,
					["hideClock"] = true,
					["showNoDuration"] = true,
					["anchorY"] = 40,
					["detectBuffsCastBy"] = "anyone",
					["detectDebuffs"] = true,
					["pointY"] = 0.1,
					["hideBar"] = true,
					["iconOffset"] = 13,
				},
			},
			["Durations"] = {
				[21562] = 3600.006,
				[132403] = 4.5,
				[203538] = 3600.005,
				[197561] = 15,
				[269279] = 30,
				[268429] = 6,
				[203539] = 3600.005,
				[201846] = 12,
				[980] = 18,
				[299789] = 15,
				[33763] = 15,
				[77535] = 10,
				[262652] = 15,
				[192106] = 3600.001,
				[8936] = 12,
				[17] = 15,
				[164812] = 22,
				[146739] = 14,
				[194084] = 16,
				[164545] = 40,
				[2479] = 30,
				[204242] = 12,
				[65116] = 8,
				[117828] = 10,
				[234153] = 4.810000000000001,
				[31935] = 3,
				[157736] = 18,
				[586] = 10,
				[589] = 18,
				[273006] = 30,
				[546] = 600,
				[197937] = 60,
				[206930] = 8,
				[164815] = 18,
				[15407] = 2.765,
				[195181] = 30,
				[65081] = 3,
				[273323] = 10,
				[62124] = 3,
				[164547] = 40,
				[198300] = 12,
				[34914] = 24,
				[187878] = 10,
				[55078] = 31.199,
				[15286] = 15,
				[16870] = 15,
			},
		}
	
	Raven.db.global["Minimap"]["hide"] = true
		-- Profile Creation
	
	Raven.db:SetProfile("MOGUI")
		
end
